Summary:	A GNU tool which simplifies the build process for users
Name:		make
Version:	4.4.1
Release:	%mkrel 1
Epoch:		1
Url:		https://directory.fsf.org/wiki/Make
License:	GPLv2+
Group:		Development/Other
Source0:	https://ftp.gnu.org/gnu/make/%name-%version.tar.lz
Source1:	https://ftp.gnu.org/gnu/make/%name-%version.tar.lz.sig
Patch1:		make-4.4-lib64.patch
Patch2:		make-4.3-gfortran.patch

BuildRequires:	gettext-devel
BuildRequires:	texinfo
BuildRequires:	lzip
BuildRequires:	gcc >= 5.2.1

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-rpath
%make_build

%check
# all tests must pass
make check

%install
%make_install

ln -sf make %{buildroot}%{_bindir}/gmake

# (tmb) nuke for now, is there any use of a devel package ?
rm -f %{buildroot}/usr/include/gnumake.h

%find_lang %{name}

%files -f %name.lang
%doc ABOUT-NLS AUTHORS README README.customs SCOPTIONS NEWS
%doc COPYING ChangeLog
%_bindir/make
%_bindir/gmake
%_mandir/man1/make.1*
%_infodir/make.info*


%changelog
* Tue Feb 28 2023 kekepower <kekepower> 1:4.4.1-1.mga9
+ Revision: 1945712
- Update to version 4.4.1
+ wally <wally>
- add aarch64 to lib64 patch

* Wed Nov 16 2022 kekepower <kekepower> 1:4.4-2.mga9
+ Revision: 1908065
- Add upstream patch ([SV 63307] Handle SIGPIPE as a fatal signal)

* Thu Nov 10 2022 kekepower <kekepower> 1:4.4-1.mga9
+ Revision: 1905380
- Update to version 4.4
- Rediffed Patch1

* Thu Mar 17 2022 umeabot <umeabot> 1:4.3-3.mga9
+ Revision: 1797381
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 1:4.3-2.mga8
+ Revision: 1543471
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 tmb <tmb> 1:4.3-1.mga8
+ Revision: 1481760
- drop merged/obsolete patches
- rebase P1, P3
- update to 4.3
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Dec 08 2019 tmb <tmb> 1:4.2.1-4.mga8
+ Revision: 1465057
- Use a non-blocking read with pselect to avoid hangs

* Mon Sep 03 2018 tv <tv> 1:4.2.1-3.mga7
+ Revision: 1256384
- rely on filetriggers for info system (mga#23482)

* Fri Jun 01 2018 tv <tv> 1:4.2.1-2.mga7
+ Revision: 1233433
- fix build with glibc 2.28

* Fri Sep 15 2017 cjw <cjw> 1:4.2.1-1.mga7
+ Revision: 1154477
- 4.2.1
- fix build with perl 5.26

* Fri Feb 12 2016 umeabot <umeabot> 1:4.1-5.mga6
+ Revision: 956104
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 danf <danf> 1:4.1-4.mga6
+ Revision: 868282
- Added upstream ttyname-segv.patch to fix crash without /dev/pts mounted

* Thu Aug 20 2015 tmb <tmb> 1:4.1-3.mga6
+ Revision: 867005
- rebuild with new gcc

* Thu Aug 20 2015 tmb <tmb> 1:4.1-2.mga6
+ Revision: 866663
- rebuild with gcc 5.2.1

* Sun Jul 26 2015 blino <blino> 1:4.1-1.mga6
+ Revision: 857732
- 4.1
- rediff lib64 patch
- drop upstream glob patch
- do not package ChangeLog, not available in tarball anymore

* Wed Oct 15 2014 umeabot <umeabot> 1:4.0-6.mga5
+ Revision: 741414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.0-5.mga5
+ Revision: 682137
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 tmb <tmb> 1:4.0-4.mga5
+ Revision: 640992
- glob.c: a trailing slash must match only directories
+ tv <tv>
- fix URL

* Wed May 14 2014 tmb <tmb> 1:4.0-3.mga5
+ Revision: 622657
- rebuild with gcc 4.9

* Tue Oct 22 2013 umeabot <umeabot> 1:4.0-2.mga4
+ Revision: 541511
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tmb <tmb> 1:4.0-1.mga4
+ Revision: 496043
- BR: texinfo
- update to 4.0
- drop merged patches

* Thu Mar 21 2013 colin <colin> 1:3.82-6.mga3
+ Revision: 404346
- Apply upstream patch to not remove intermediate files during parallel build.

* Sat Jan 12 2013 umeabot <umeabot> 1:3.82-5.mga3
+ Revision: 359322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 23 2011 cjw <cjw> 1:3.82-4.mga1
+ Revision: 89952
- patch6: fix crash when building android

* Sat Jan 22 2011 ahmad <ahmad> 1:3.82-3.mga1
+ Revision: 32864
- add patch from upstream, fixing upstream bug
  http://savannah.gnu.org/bugs/?30612 , needed to make dev86 build
+ kharec <kharec>
- imported package make

